%global npm_name int64-buffer
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.0
Release: %mkrel 2
Summary: 64bit Long Integer on Buffer/Array/ArrayBuffer in Pure JavaScript
License: MIT
Group: Development/Other
URL: https://github.com/kawanet/int64-buffer
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr int64-buffer.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr int64-buffer.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1820541
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 neoclust <neoclust> 1.0.0-1.mga8
+ Revision: 1667546
- New version 1.0.0

* Fri Oct 02 2020 kekepower <kekepower> 0.99.1007-1.mga8
+ Revision: 1631583
- Update to version 0.99.1007

* Wed Feb 12 2020 umeabot <umeabot> 0.1.10-3.mga8
+ Revision: 1502835
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.10-2.mga7
+ Revision: 1280514
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 0.1.10-1.mga7
+ Revision: 1227028
- imported package nodejs-int64-buffer

